= nng_http_req_get_data(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_req_get_data - get HTTP request body

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

void nng_http_req_get_data(nng_http_req *req, void **bodyp, size_t *sizep);
----

== DESCRIPTION

The `nng_http_req_get_data()` gets the HTTP body associated with
the request _req_, storing a pointer to the buffer at the location referenced
by _bodyp_, and the length of the associated buffer at the location referenced
by _sizep_.

NOTE: The buffer returned is owned by _req_, and will automatically freed
when the request is freed.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_http_req_alloc.3http.adoc[nng_http_req_alloc(3http)],
xref:nng_http_req_set_data.3http.adoc[nng_http_req_copy_data(3http)],
xref:nng_http_req_copy_data.3http.adoc[nng_http_req_copy_data(3http)],
xref:nng.7.adoc[nng(7)]
